Uses of Class
org.apache.juneau.http.classic.response.BasicHttpResponse
Packages that use BasicHttpResponse
-
Uses of BasicHttpResponse in org.apache.juneau.http.classic.response
Classes in org.apache.juneau.http.classic.response with type parameters of type BasicHttpResponseModifier and TypeClassDescriptionclassBasicHttpResponse<SELF extends BasicHttpResponse<SELF>>Basic implementation of theHttpResponseinterface.Subclasses of BasicHttpResponse in org.apache.juneau.http.classic.responseModifier and TypeClassDescriptionclassRepresents anHTTP 202 Accepted response.static classUnmodifiable point-in-time snapshot of the enclosingAcceptedresponse.classRepresents anHTTP 208 Already Reported response.static classUnmodifiable point-in-time snapshot of the enclosingAlreadyReportedresponse.classRepresents anHTTP 100 Continue response.static classUnmodifiable point-in-time snapshot of the enclosingContinueresponse.classRepresents anHTTP 201 Created response.static classUnmodifiable point-in-time snapshot of the enclosingCreatedresponse.classRepresents anHTTP 103 Early Hints response.static classUnmodifiable point-in-time snapshot of the enclosingEarlyHintsresponse.classRepresents anHTTP 302 Found response.static classUnmodifiable point-in-time snapshot of the enclosingFoundresponse.classRepresents anHTTP 226 IM Used response.static classUnmodifiable point-in-time snapshot of the enclosingIMUsedresponse.classRepresents anHTTP 301 Moved Permanently response.static classUnmodifiable point-in-time snapshot of the enclosingMovedPermanentlyresponse.classRepresents anHTTP 300 Multiple Choices response.static classUnmodifiable point-in-time snapshot of the enclosingMultipleChoicesresponse.classRepresents anHTTP 207 Multi-Status response.static classUnmodifiable point-in-time snapshot of the enclosingMultiStatusresponse.classRepresents anHTTP 204 No Content response.static classUnmodifiable point-in-time snapshot of the enclosingNoContentresponse.classRepresents anHTTP 203 Non-Authoritative Information response.static classUnmodifiable point-in-time snapshot of the enclosingNonAuthoritiveInformationresponse.classRepresents anHTTP 304 Not Modified response.static classUnmodifiable point-in-time snapshot of the enclosingNotModifiedresponse.classRepresents anHTTP 200 OK response.static classUnmodifiable point-in-time snapshot of the enclosingOkresponse.classRepresents anHTTP 206 Partial Content response.static classUnmodifiable point-in-time snapshot of the enclosingPartialContentresponse.classRepresents anHTTP 308 Permanent Redirect response.static classUnmodifiable point-in-time snapshot of the enclosingPermanentRedirectresponse.classRepresents anHTTP 102 Processing response.static classUnmodifiable point-in-time snapshot of the enclosingProcessingresponse.classRepresents anHTTP 205 Reset Content response.static classUnmodifiable point-in-time snapshot of the enclosingResetContentresponse.classRepresents anHTTP 303 See Other response.static classUnmodifiable point-in-time snapshot of the enclosingSeeOtherresponse.classRepresents anHTTP 101 Switching Protocols response.static classUnmodifiable point-in-time snapshot of the enclosingSwitchingProtocolsresponse.classRepresents anHTTP 307 Temporary Redirect response.static classUnmodifiable point-in-time snapshot of the enclosingTemporaryRedirectresponse.classRepresents anHTTP 305 Use Proxy response.static classUnmodifiable point-in-time snapshot of the enclosingUseProxyresponse.Constructors in org.apache.juneau.http.classic.response with parameters of type BasicHttpResponseModifierConstructorDescriptionprotectedBasicHttpResponse(BasicHttpResponse<?> copyFrom) Copy constructor.